Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1592)

Issue 334410043: [plaso] Moved storage implementations (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months, 1 week ago by onager
Modified:
10 months, 4 weeks ago
Reviewers:
Joachim Metz, head06902
CC:
jberggren, romaing, kiddi, log2timeline-dev_googlegroups.com
Visibility:
Public.

Description

[plaso] Moved storage implementations Rationale here is primarily to make reviewing storage changes easier (evaluating 4 lines in a 1200+ line file makes it difficult to evaluate the full scope of the change). Other bonus is to surface issues with the storage interface design, and testing gaps.

Patch Set 1 #

Total comments: 9

Patch Set 2 : Changes after review #

Patch Set 3 : Changes after merge #

Patch Set 4 : Changes after rebase #

Total comments: 7
Unified diffs Side-by-side diffs Delta from patch set Stats (+353 lines, -2657 lines) Patch
M plaso/storage/factory.py View 1 2 6 chunks +11 lines, -10 lines 0 comments Download
A + plaso/storage/fake/__init__.py View 1 2 0 chunks +-1 lines, --1 lines 0 comments Download
A + plaso/storage/fake/writer.py View 1 2 1 chunk +1 line, -1 line 0 comments Download
D plaso/storage/fake_storage.py View 1 2 1 chunk +0 lines, -491 lines 0 comments Download
A + plaso/storage/sqlite/__init__.py View 1 2 0 chunks +-1 lines, --1 lines 0 comments Download
A plaso/storage/sqlite/merge_reader.py View 1 2 1 chunk +197 lines, -0 lines 0 comments Download
A plaso/storage/sqlite/reader.py View 1 chunk +21 lines, -0 lines 0 comments Download
A + plaso/storage/sqlite/sqlite_file.py View 1 2 1 chunk +0 lines, -233 lines 0 comments Download
A plaso/storage/sqlite/writer.py View 1 chunk +44 lines, -0 lines 0 comments Download
D plaso/storage/sqlite_file.py View 1 2 1 chunk +0 lines, -1299 lines 0 comments Download
M tests/analysis/mediator.py View 1 3 chunks +3 lines, -3 lines 0 comments Download
M tests/analysis/test_lib.py View 1 3 chunks +3 lines, -3 lines 0 comments Download
M tests/cli/log2timeline_tool.py View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M tests/engine/single_process.py View 1 2 chunks +2 lines, -2 lines 0 comments Download
M tests/engine/worker.py View 1 13 chunks +13 lines, -13 lines 0 comments Download
M tests/multi_processing/task_engine.py View 1 2 2 chunks +2 lines, -3 lines 0 comments Download
M tests/multi_processing/test_lib.py View 1 2 chunks +2 lines, -2 lines 0 comments Download
M tests/parsers/bsm.py View 1 2 3 1 chunk +1 line, -1 line 4 comments Download
M tests/parsers/esedb_plugins/test_lib.py View 1 2 chunks +2 lines, -2 lines 0 comments Download
M tests/parsers/mediator.py View 1 13 chunks +13 lines, -13 lines 0 comments Download
M tests/parsers/olecf_plugins/test_lib.py View 1 2 chunks +2 lines, -2 lines 0 comments Download
M tests/parsers/plist_plugins/test_lib.py View 1 2 chunks +2 lines, -2 lines 0 comments Download
M tests/parsers/sqlite_plugins/test_lib.py View 1 2 chunks +2 lines, -2 lines 0 comments Download
M tests/parsers/syslog_plugins/test_lib.py View 1 2 chunks +2 lines, -2 lines 0 comments Download
M tests/parsers/test_lib.py View 1 2 3 3 chunks +5 lines, -5 lines 1 comment Download
M tests/parsers/winreg_plugins/test_lib.py View 1 2 chunks +2 lines, -2 lines 0 comments Download
M tests/storage/event_tag_index.py View 1 2 1 chunk +1 line, -1 line 0 comments Download
M tests/storage/factory.py View 1 2 4 chunks +9 lines, -4 lines 2 comments Download
A + tests/storage/fake/__init__.py View 1 2 0 chunks +-1 lines, --1 lines 0 comments Download
A + tests/storage/fake/writer.py View 1 13 chunks +14 lines, -16 lines 0 comments Download
D tests/storage/fake_storage.py View 1 chunk +0 lines, -237 lines 0 comments Download
A + tests/storage/sqlite/__init__.py View 1 2 0 chunks +-1 lines, --1 lines 0 comments Download
A + tests/storage/sqlite/sqlite_file.py View 1 2 1 chunk +1 line, -1 line 0 comments Download
D tests/storage/sqlite_file.py View 1 2 1 chunk +0 lines, -309 lines 0 comments Download

Messages

Total messages: 14
onager
11 months, 1 week ago (2018-01-02 16:23:01 UTC) #1
Joachim Metz
There are numerous pending CLs that touch the files you are changing. We need to ...
11 months, 1 week ago (2018-01-02 18:11:27 UTC) #2
onager
Code updated.
11 months, 1 week ago (2018-01-03 19:33:02 UTC) #3
onager
There are indeed other CLs changing this files, but this is based off of current ...
11 months, 1 week ago (2018-01-03 19:39:10 UTC) #4
Joachim Metz
I'll re-review after merge of https://codereview.appspot.com/332510043/
11 months, 1 week ago (2018-01-04 15:52:11 UTC) #5
onager
Code updated.
11 months ago (2018-01-09 15:01:20 UTC) #6
onager
https://codereview.appspot.com/334410043/diff/1/.pylintrc File .pylintrc (right): https://codereview.appspot.com/334410043/diff/1/.pylintrc#newcode175 .pylintrc:175: ignored-modules=pyesedb On 2018/01/03 19:39:10, onager wrote: > On 2018/01/02 ...
11 months ago (2018-01-09 15:04:09 UTC) #7
Joachim Metz
please create a PR for this CR as well
11 months ago (2018-01-09 21:00:33 UTC) #8
onager
Code updated.
11 months ago (2018-01-10 13:37:31 UTC) #9
Joachim Metz
A couple of small nits, please address before merge. Test are green, so no blockers ...
11 months ago (2018-01-10 20:37:24 UTC) #10
Joachim Metz
https://codereview.appspot.com/334410043/diff/60001/tests/parsers/bsm.py File tests/parsers/bsm.py (right): https://codereview.appspot.com/334410043/diff/60001/tests/parsers/bsm.py#newcode297 tests/parsers/bsm.py:297: self.AssertDictContains(extra_tokens_dict, expected_extra_tokens_dict) or make the method "protected" _AssertDictContains ?
11 months ago (2018-01-10 20:38:31 UTC) #11
head06902
11 months ago (2018-01-10 21:25:35 UTC) #12
onager
https://codereview.appspot.com/334410043/diff/60001/tests/parsers/bsm.py File tests/parsers/bsm.py (right): https://codereview.appspot.com/334410043/diff/60001/tests/parsers/bsm.py#newcode297 tests/parsers/bsm.py:297: self.AssertDictContains(extra_tokens_dict, expected_extra_tokens_dict) On 2018/01/10 20:38:31, Joachim Metz wrote: > ...
11 months ago (2018-01-11 12:58:04 UTC) #13
onager
11 months ago (2018-01-11 13:51:28 UTC) #14
Changes have been merged with master branch. To close the review and clean up
the feature branch you can run: review.py close storage_move
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b